Uploaded image for project: 'XForms Module'
  1. XForms Module
  2. XFRM-57

Java 7 Compatibility Issue

    XMLWordPrintable

Details

    • New Feature
    • Status: Closed
    • Should
    • Resolution: Fixed
    • None
    • None
    • Medium

    Description

      There is a compatibility issues with the latest stable release of Java, 1.7.0.2. Downgrading to Java 1.6.0.30 corrected the problem...

      • XForms form designer doesn't open when you click to design a form. Instead it prompts to download the file.

      This was observed on Linux (SLES 11) with OpenMRS Version: 1.8.3 Build 24510, and Version: 1.9.0 beta Build 25105; with xForms version 4.0.9.1. The same results are observed with Tomcat 7.0.23 and Tomcat 6.0.20. For additional details see the mailing list.
      http://openmrs-mailing-list-archives.1560443.n2.nabble.com/Reporting-Module-doesn-t-include-Indicator-Web-Report-td7260289.html

      Gliffy Diagrams

        Attachments

          1. 55-1.0-1.xml
            55 kB
          2. 55-1.0-1.xml
            55 kB
          3. xforms-4.0.9.6.omod
            3.30 MB

          Issue Links

            Activity

              People

                dkayiwa Daniel Kayiwa
                arbaughj James Arbaugh
                Votes:
                0 Vote for this issue
                Watchers:
                6 Start watching this issue

                Dates

                  Created:
                  Updated:
                  Resolved:

                  Time Tracking

                    Estimated:
                    Original Estimate - 5 hours
                    5h
                    Remaining:
                    Remaining Estimate - 5 hours
                    5h
                    Logged:
                    Time Spent - Not Specified
                    Not Specified